RDLog.h File Reference
`#include <boost/iostreams/tee.hpp>`
`#include <boost/iostreams/stream.hpp>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | boost::logging::rdLogger

## Namespaces

| boost
| boost::logging
| RDLog

## Macros

#define | BOOST_LOG(__arg__)

## Typedefs

typedef boost::iostreams::tee_device< std::ostream, std::ostream > | boost::logging::RDTee
typedef boost::iostreams::stream< RDTee > | boost::logging::RDTeeStream

## Functions

void | boost::logging::enable_logs (const char *arg)
void | boost::logging::enable_logs (const std::string &arg)
void | boost::logging::disable_logs (const char *arg)
void | boost::logging::disable_logs (const std::string &arg)
std::ostream & | RDLog::toStream (std::ostream &)
void | RDLog::InitLogs ()

## Variables

boost::logging::rdLogger * | rdAppLog
boost::logging::rdLogger * | rdDebugLog
boost::logging::rdLogger * | rdInfoLog
boost::logging::rdLogger * | rdErrorLog
boost::logging::rdLogger * | rdWarningLog
boost::logging::rdLogger * | rdStatusLog

## Macro Definition Documentation

## BOOST_LOG

#define BOOST_LOG | ( |  | __arg__ | ) |

Value:
if ((!__arg__) || (!__arg__->dp_dest) || !(__arg__->df_enabled)) \
; \
else \
RDLog::toStream((__arg__->teestream) ? *(__arg__->teestream) : *(__arg__->dp_dest))
RDLog::toStream
std::ostream & toStream(std::ostream &)

Definition at line 62 of file RDLog.h.

## Variable Documentation

## rdAppLog

boost::logging::rdLogger* rdAppLog

## rdDebugLog

boost::logging::rdLogger* rdDebugLog

## rdErrorLog

boost::logging::rdLogger* rdErrorLog

## rdInfoLog

boost::logging::rdLogger* rdInfoLog

## rdStatusLog

boost::logging::rdLogger* rdStatusLog

## rdWarningLog

boost::logging::rdLogger* rdWarningLog